
%global meadversion 3.9.0
%global namedversion 3.9.0.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 3
%global namedversionrel redhat-3

%{?scl:%scl_package okhttp} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 3.9.0.redhat-3

Name:		    %{?scl_prefix}okhttp
Summary:	    An HTTP+HTTP/2 client for Android and Java applications
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: parent-3.9.0.redhat-3-project-sources.tar.gz
Source102: benchmarks-3.9.0.redhat-3.jar
Source103: mockwebserver-3.9.0.redhat-3.pom
Source104: okhttp-3.9.0.redhat-3.jar
Source105: okcurl-3.9.0.redhat-3-jar-with-dependencies.jar
Source106: benchmarks-3.9.0.redhat-3.pom
Source107: guide-3.9.0.redhat-3.jar
Source108: parent-3.9.0.redhat-3.pom
Source109: okhttp-apache-3.9.0.redhat-3.jar
Source110: logging-interceptor-3.9.0.redhat-3.jar
Source111: okhttp-testing-support-3.9.0.redhat-3.pom
Source112: benchmarks-3.9.0.redhat-3-sources.jar
Source113: crawler-3.9.0.redhat-3.pom
Source114: mockwebserver-3.9.0.redhat-3-sources.jar
Source115: guide-3.9.0.redhat-3.pom
Source116: okhttp-3.9.0.redhat-3-sources.jar
Source117: crawler-3.9.0.redhat-3.jar
Source118: simple-client-3.9.0.redhat-3.jar
Source119: okcurl-3.9.0.redhat-3-sources.jar
Source120: okhttp-urlconnection-3.9.0.redhat-3-sources.jar
Source121: logging-interceptor-3.9.0.redhat-3-sources.jar
Source122: slack-3.9.0.redhat-3-sources.jar
Source123: static-server-3.9.0.redhat-3.jar
Source124: okhttp-testing-support-3.9.0.redhat-3-sources.jar
Source125: static-server-3.9.0.redhat-3-shaded.jar
Source126: okcurl-3.9.0.redhat-3.pom
Source127: okhttp-urlconnection-3.9.0.redhat-3.jar
Source128: sample-parent-3.9.0.redhat-3.pom
Source129: okhttp-apache-3.9.0.redhat-3.pom
Source130: simple-client-3.9.0.redhat-3.pom
Source131: crawler-3.9.0.redhat-3-sources.jar
Source132: okhttp-3.9.0.redhat-3.pom
Source133: okcurl-3.9.0.redhat-3.jar
Source134: slack-3.9.0.redhat-3.pom
Source135: mockwebserver-3.9.0.redhat-3.jar
Source136: guide-3.9.0.redhat-3-sources.jar
Source137: okhttp-android-support-3.9.0.redhat-3-sources.jar
Source138: slack-3.9.0.redhat-3.jar
Source139: logging-interceptor-3.9.0.redhat-3.pom
Source140: okhttp-apache-3.9.0.redhat-3-sources.jar
Source141: okhttp-testing-support-3.9.0.redhat-3.jar
Source142: simple-client-3.9.0.redhat-3-sources.jar
Source143: okhttp-android-support-3.9.0.redhat-3.pom
Source144: static-server-3.9.0.redhat-3.pom
Source145: okhttp-urlconnection-3.9.0.redhat-3.pom
Source146: okhttp-android-support-3.9.0.redhat-3.jar
Source147: static-server-3.9.0.redhat-3-sources.jar
Source148: mockwebserver-3.9.0.redhat-3-jar-with-dependencies.jar
%endif

License:        ASL 2.0
URL:            https://github.com/square/okhttp
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for okhttp
Group:          Development/Java


%description javadoc
Javadoc for okhttp
%endif

%package -n %{?scl_prefix}okhttp-benchmarks
Summary:        Okhttp Benchmarks
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-benchmarks
%{summary}.

%package -n %{?scl_prefix}okhttp-crawler
Summary:        Okhttp Sample: Crawler
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-crawler
%{summary}.

%package -n %{?scl_prefix}okhttp-guide
Summary:        Okhttp Sample: Guide
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-guide
%{summary}.

%package -n %{?scl_prefix}okhttp-logging-interceptor
Summary:        OkHttp Logging Interceptor
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-logging-interceptor
%{summary}.

%package -n %{?scl_prefix}okhttp-mockwebserver
Summary:        Okhttp MockWebServer
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-mockwebserver
%{summary}.

%package -n %{?scl_prefix}okhttp-okcurl
Summary:        Okhttp OkCurl
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-okcurl
%{summary}.

%package -n %{?scl_prefix}okhttp-android
Summary:        OkHttp Android Platform Support
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-android
%{summary}.

%package -n %{?scl_prefix}okhttp-apache
Summary:        OkHttp Apache HttpClient
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-apache
%{summary}.

%package -n %{?scl_prefix}okhttp-testing-support
Summary:        OkHttp test support classes
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-testing-support
%{summary}.

%package -n %{?scl_prefix}okhttp-urlconnection
Summary:        OkHttp URLConnection
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-urlconnection
%{summary}.

%package -n %{?scl_prefix}okhttp-simple-client
Summary:        Okhttp Sample: Simple Client
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-simple-client
%{summary}.

%package -n %{?scl_prefix}okhttp-slack
Summary:        Okhttp Sample: Slack
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-slack
%{summary}.

%package -n %{?scl_prefix}okhttp-static-server
Summary:        Okhttp Sample: Static Server
Group:          Development/Java

%description -n %{?scl_prefix}okhttp-static-server
%{summary}.

%prep
%setup -q -n parent-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/benchmarks-%{namedversion}.jar %{buildroot}%{_javadir}/benchmarks-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/crawler-%{namedversion}.jar %{buildroot}%{_javadir}/crawler-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/guide-%{namedversion}.jar %{buildroot}%{_javadir}/guide-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/logging-interceptor-%{namedversion}.jar %{buildroot}%{_javadir}/logging-interceptor-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/mockwebserver-%{namedversion}.jar %{buildroot}%{_javadir}/mockwebserver-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/okcurl-%{namedversion}.jar %{buildroot}%{_javadir}/okcurl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/okhttp-%{namedversion}.jar %{buildroot}%{_javadir}/okhttp-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/okhttp-android-support-%{namedversion}.jar %{buildroot}%{_javadir}/okhttp-android-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/okhttp-apache-%{namedversion}.jar %{buildroot}%{_javadir}/okhttp-apache-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/okhttp-testing-support-%{namedversion}.jar %{buildroot}%{_javadir}/okhttp-testing-support-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/okhttp-urlconnection-%{namedversion}.jar %{buildroot}%{_javadir}/okhttp-urlconnection-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/simple-client-%{namedversion}.jar %{buildroot}%{_javadir}/simple-client-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/slack-%{namedversion}.jar %{buildroot}%{_javadir}/slack-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/static-server-%{namedversion}.jar %{buildroot}%{_javadir}/static-server-%{namedversion}.jar

%{__cp} -p %{_sourcedir}/benchmarks-%{namedversion}-sources.jar %{buildroot}%{_javadir}/benchmarks-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/crawler-%{namedversion}-sources.jar %{buildroot}%{_javadir}/crawler-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/guide-%{namedversion}-sources.jar %{buildroot}%{_javadir}/guide-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/logging-interceptor-%{namedversion}-sources.jar %{buildroot}%{_javadir}/logging-interceptor-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/mockwebserver-%{namedversion}-sources.jar %{buildroot}%{_javadir}/mockwebserver-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/okcurl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/okcurl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/okhttp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/okhttp-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/okhttp-android-support-%{namedversion}-sources.jar %{buildroot}%{_javadir}/okhttp-android-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/okhttp-apache-%{namedversion}-sources.jar %{buildroot}%{_javadir}/okhttp-apache-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/okhttp-testing-support-%{namedversion}-sources.jar %{buildroot}%{_javadir}/okhttp-testing-support-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/okhttp-urlconnection-%{namedversion}-sources.jar %{buildroot}%{_javadir}/okhttp-urlconnection-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/simple-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/simple-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/slack-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slack-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/static-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/static-server-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/okhttp-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/okhttp-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/okhttp-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s okhttp-%{namedversion} okhttp)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md LICENSE.txt CHANGELOG.md BUG-BOUNTY.md
%{_javadir}/okhttp-%{namedversion}.jar
%{_javadir}/okhttp.jar
%{_javadir}/okhttp-%{namedversion}-sources.jar
%{_javadir}/okhttp-sources.jar


%files -n %{?scl_prefix}okhttp-benchmarks
%defattr(0644,root,root,0755)
%{_javadir}/benchmarks-%{namedversion}.jar
%{_javadir}/benchmarks.jar
%{_javadir}/benchmarks-%{namedversion}-sources.jar
%{_javadir}/benchmarks-sources.jar

%files -n %{?scl_prefix}okhttp-crawler
%defattr(0644,root,root,0755)
%{_javadir}/crawler-%{namedversion}.jar
%{_javadir}/crawler.jar
%{_javadir}/crawler-%{namedversion}-sources.jar
%{_javadir}/crawler-sources.jar

%files -n %{?scl_prefix}okhttp-guide
%defattr(0644,root,root,0755)
%{_javadir}/guide-%{namedversion}.jar
%{_javadir}/guide.jar
%{_javadir}/guide-%{namedversion}-sources.jar
%{_javadir}/guide-sources.jar

%files -n %{?scl_prefix}okhttp-logging-interceptor
%defattr(0644,root,root,0755)
%{_javadir}/logging-interceptor-%{namedversion}.jar
%{_javadir}/logging-interceptor.jar
%{_javadir}/logging-interceptor-%{namedversion}-sources.jar
%{_javadir}/logging-interceptor-sources.jar

%files -n %{?scl_prefix}okhttp-mockwebserver
%defattr(0644,root,root,0755)
%{_javadir}/mockwebserver-%{namedversion}.jar
%{_javadir}/mockwebserver.jar
%{_javadir}/mockwebserver-%{namedversion}-sources.jar
%{_javadir}/mockwebserver-sources.jar

%files -n %{?scl_prefix}okhttp-okcurl
%defattr(0644,root,root,0755)
%{_javadir}/okcurl-%{namedversion}.jar
%{_javadir}/okcurl.jar
%{_javadir}/okcurl-%{namedversion}-sources.jar
%{_javadir}/okcurl-sources.jar

%files -n %{?scl_prefix}okhttp-android
%defattr(0644,root,root,0755)
%{_javadir}/okhttp-android-%{namedversion}.jar
%{_javadir}/okhttp-android.jar
%{_javadir}/okhttp-android-%{namedversion}-sources.jar
%{_javadir}/okhttp-android-sources.jar

%files -n %{?scl_prefix}okhttp-apache
%defattr(0644,root,root,0755)
%{_javadir}/okhttp-apache-%{namedversion}.jar
%{_javadir}/okhttp-apache.jar
%{_javadir}/okhttp-apache-%{namedversion}-sources.jar
%{_javadir}/okhttp-apache-sources.jar

%files -n %{?scl_prefix}okhttp-testing-support
%defattr(0644,root,root,0755)
%{_javadir}/okhttp-testing-support-%{namedversion}.jar
%{_javadir}/okhttp-testing-support.jar
%{_javadir}/okhttp-testing-support-%{namedversion}-sources.jar
%{_javadir}/okhttp-testing-support-sources.jar

%files -n %{?scl_prefix}okhttp-urlconnection
%defattr(0644,root,root,0755)
%{_javadir}/okhttp-urlconnection-%{namedversion}.jar
%{_javadir}/okhttp-urlconnection.jar
%{_javadir}/okhttp-urlconnection-%{namedversion}-sources.jar
%{_javadir}/okhttp-urlconnection-sources.jar

%files -n %{?scl_prefix}okhttp-simple-client
%defattr(0644,root,root,0755)
%{_javadir}/simple-client-%{namedversion}.jar
%{_javadir}/simple-client.jar
%{_javadir}/simple-client-%{namedversion}-sources.jar
%{_javadir}/simple-client-sources.jar

%files -n %{?scl_prefix}okhttp-slack
%defattr(0644,root,root,0755)
%{_javadir}/slack-%{namedversion}.jar
%{_javadir}/slack.jar
%{_javadir}/slack-%{namedversion}-sources.jar
%{_javadir}/slack-sources.jar

%files -n %{?scl_prefix}okhttp-static-server
%defattr(0644,root,root,0755)
%{_javadir}/static-server-%{namedversion}.jar
%{_javadir}/static-server.jar
%{_javadir}/static-server-%{namedversion}-sources.jar
%{_javadir}/static-server-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/okhttp
%{_javadocdir}/okhttp-%{namedversion}
%endif

%changelog
* Wed Sep 26 2018 Permaine Cheung <pcheung@redhat.com> - 3.9.0-3.redhat_3.1
- Use original jar name and move main jar back into main package

* Wed Sep 26 2018 Yong Yang <yyang@redhat.com> - 3.9.0-2.redhat_3.1
- Rewrap with doc added

* Tue Sep 25 2018 Yong Yang <yyang@redhat.com> - 3.9.0-1.redhat_3.1
-  3.9.0.redhat-3 

* Tue Sep 25 2018 Yong Yang <yyang@redhat.com> - 3.9.0-1.redhat_3.1
-  3.9.0.redhat-3 

* Tue Sep 25 2018 Yong Yang <yyang@redhat.com> - 2.8.2.redhat-5
- Init build
